/////////////////////////////////////////////
// Edit Custom CSS /////
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 1/1/2014	ELL
// Revised: 7/29/2014	ELL
// Converted save functions to JQuery AJAX operations.

var param_array = {'popup_msg_type' : 1, 'status_msg' : '', 'popup_timeout' : -1};
var popup_msg = new PopupMsg(param_array);

function OpenHelpWindow()
{
	window.open("http://breezewebsitebuilder.com/docs/cms/help.html#edit_custom", "Help", "scrollbars=1,resizable=1,status=0,toolbar=0,menubar=0,location=0,height=700,width=800");
}

////////////////////////////////////////////////////////////////////////////////////
function Save(action)
{
	var custom_css = document.getElementById('custom_css').value;
	
	popup_msg.popup_msg_type = 1;
	popup_msg.status_msg = "Starting update...";
	popup_msg.popup_timeout = -1;
	popup_msg.top_offset = 0;
	popup_msg.left_offset = 500;
	popup_msg.ShowPopupMsg();
	
	$.post( "save_custom_css.php", { custom_css: custom_css, action: action } ).done(CompleteSave) ;
}
function CompleteSave(data)	{
	if (data == "Preview")
		window.location = "preview_css.php?style_sheet=site&custom=1";
	else
	{
		popup_msg.status_msg = data;
	//	alert(data);
		popup_msg.popup_timeout = 2000;
		popup_msg.ShowPopupMsg();
		saved = true;
		window.parent.SetWorkSavedNotSaved(saved);
	}
}